; check_fits_area prints the area in the header of each extension of a FITS file.
;
; Calling sequence:  check_fits_area, 'yourfilename.fits'

pro check_fits_area, file

print,'File name = ' + file

fits_info, file, /silent, n_ext=n_ext

for i = 0,n_ext do begin
	a = mrdfits(file, i, head, /silent)
	area = fxpar (head, 'GEOAREA', count=count)
	if count gt 0 then print,'Extension ' + trim(i) + '.  Area = ' + trim(area)
endfor

end