;+
; PROJECT:
;	FERMI
; NAME:
;
;
; PURPOSE:
;
;
; CATEGORY:
;	QUICKLOOK AND CATALOG GENERATION FOR FERMI GBM
;
; CALLING SEQUENCE:
;
;
; CALLS:
;	none
;
; INPUTS:
;       none explicit, only through commons;
;
; OPTIONAL INPUTS:
;	none
;
; OUTPUTS:
;       none explicit, only through commons;
;
; OPTIONAL OUTPUTS:
;	none
;
; KEYWORDS:
;	none
; COMMON BLOCKS:
;	none
;
; SIDE EFFECTS:
;	none
;
; RESTRICTIONS:
;	none
;
; PROCEDURE:
;	none
;
; MODIFICATION HISTORY:
;	18-MAR-2010, richard.schwartz@nasa.gov
;
;-



pro gbm_flr0__define
flr_cat ={ gbm_flr0, $
  id:'', $
  utstart: 0.0d0, $
  utend:0.0d0 , $
  utpeak: dblarr(5), $
  no_start:0, no_end:0, $
  erange:fltarr(6),  $
  peak_rate:fltarr(5), $
  total_counts:fltarr(5), $
  cosines: fltarr(12,5), $
  trigger: '', $
  rhessi: 0L}
end