;+
; Name: fit_comp_info
; Purpose: Function to initialize fit_comp info params
;
; Written: Kim Tolbert 1-Apr-2006
; Modifications:
; 16-Oct-2007, Kim.  Previously hardcoded fc_spectrum_options and fc_model_options to the values needed
;   for vth.  Now they are pointers initted to -1, so that the options can be read from xxx_defaults file
;   and can now be used for f_template function (or any new functions)
;
;---------------------------------------------------------------

function fit_comp_info

var = {fit_comp_info}

var.fc_spectrum_options = ptr_new(-1)
var.fc_model_options = ptr_new(-1)

return, var
end