;+
; Name: fit_comp_info__define
; Purpose: Define fit_comp_info parameter structure
;
; Written: Kim Tolbert
; Modifications:
; 7-Apr-2006 Kim.  Added spectrum,model params
; 16-Oct-2007, Kim. Made fc_spectrum_options and fc_model_options pointers
;
;---------------------------------------------------------------

pro fit_comp_info__define

struct = { fit_comp_info, $
  fit_comp_sigmas:     ptr_new(), $	; Sigma in fit parameters, (nparam)
  fc_spectrum_options: ptr_new(), $ ; Options for fit_comp_spectrum
  fc_model_options:    ptr_new()  $ ; Options for fit_comp_model
  }

end


