;+
; Name: spex_get_nointeractive
;
; Project: HESSI
;
; Purpose: Return the current debug level (from SPEX_NOINTERACTIVE env. var.)
;
; Calling sequence:  nointeractive = spex_get_nointeractive()
;
; KEYWORDS:
;	MESSAGE - if set, and nointeractive is true then print message saying so.
;
; Written: Kim Tolbert 2-Jun-2003
; Modifications:
;-
;---------------------------------------------------------------------------

function spex_get_nointeractive, message=message

ret = fix (getenv('OSPEX_NOINTERACTIVE') )

if keyword_set(message) and ret eq 1 then $
	print,'$OSPEX_NOINTERACTIVE currently prohibits interactive functions.'

return, ret

end