;+
; Modifications:
; 16-Sep-2004, Kim. Added merging edata if in both structures.
;-

function spex_merge_plots, param1, param2
param1 = rep_tag_value(param1, [ [param1.ydata], [param2.ydata]], 'ydata')
if tag_exist(param1, 'edata') then begin
	if tag_exist(param2, 'edata') then $
		param1 = rep_tag_value(param1, [ [param1.edata], [param2.edata]], 'edata') else $
		param1 = rem_tag(param1, 'edata')
endif
param1 = rep_tag_value(param1, [ param1.dim1_id, param2.dim1_id], 'dim1_id')
param1 = rep_tag_value(param1, [ [param1.dim1_vals], [param2.dim1_vals]], 'dim1_vals')
param1.dim1_sum = 0

return, param1

end