;+
; Name: yohkoh_wbs_drm
; 
; Purpose: Return yohkoh detector response information
; 
; Method: When yohkoh data file was read in, the appropriate response routine (grs1, grs2, hxs) was called 
; and the response information was stored in the common wbs_response.  This routine just gets the data from 
; the common and returns it.
; 
; Written 28-Nov-2009, Kim Tolbert
;-

pro yohkoh_wbs_drm, ct_edges, ph_edges, drm_area, spex_respinfo

common wbs_response, iexp_com, date_com, drm_com, e_out_com, e_in_com

ct_edges = e_out_com
ph_edges = e_in_com 
drm_area = 45.6   ; from wbs_response.pro
spex_respinfo = drm_com

end

