function get_evec, head, in=in, out=out
;+
;extract the energy edges from a header of the form
;	head.nobins_in 	-number of used input  energy edges
;	head.nobins_out -number of used output energy edges
;       head.e_in       -input energy edges, 2xn
;	head.e_out      -output energy edges, 2xm
;-
if keyword_set(in) then $
	ans = head.e_in(*,0:head.nobins_in-1)
if keyword_set(out) then $
	ans = head.e_out(*,0:head.nobins_out-1)
return, ans
end

