pro oplot_goes, times=times, timex=timex, ints=ints

for i=0,n_elements(ints)-1 do begin
	oplot, times(0,ints(i))-getutbase()+dblarr(2),crange('y')
	xyouts, timex(i), 4e-6, strtrim(i+1,2),chars=2
endfor

end

checkvar,plotdevice, 'X'
a=spex_current('apar_arr')
labxy=transpose([[fltarr(4)+5.6],[7.6e5,3366,24.7,.3]])
times = spex_current('xselect') +getutbase()
common fcolor_ps, pscolor

e=spex_current('e_in')
spex_model_array,'f_2therm_pow',e,a,phm
ints = [1,2,4,5]  
new_scale=phm(150,ints)/10.^(6-findgen(4)*2)

f='960508_near.sav'
group=spex_current('iegroup')
  timex = [77655.3 ,     78388.2  ,    80943.0    ,  81885.4]


  stime='96/5/8,2100
  etime='96/5/9 
  if plotdevice eq 'PS' then begin
	 sps,/land
	device, color=pscolor
  endif

  goeslabel={ proc:'oplot_goes', times:times, timex:timex, ints:ints}
  
 if plotdevice eq 'X' then window,31
 goesplot, STIME=STIME, ETIME=ETIME,/clea,/mar,/log,/plotfile, proc=goeslabel



colors = [4,11,3,4,7]
if plotdevice eq 'X' and  !d.window ne 2 then wdef,2,640, 950
  if plotdevice eq 'PS' then begin
	sps,/full
	device, color=pscolor
  endif
spex_plot_saved,f,4 ,xty=0,xra=[0,10], colors= colors, $
	group=group, yran=[10,1e6], units='Counts',char=1.5

wait,1

spex_plot_saved,f,ints(0),new_s=new_scale(0),xty=0,xra=[0,10],colors= colors, $
	group=group, yran=[1e-3,1e7], units='Counts', subt='',char=1.5


for i=1,n_elements(ints)-1 do $
	spex_plot_saved,f,ints(i),new_s=new_scale(i), colors= colors, $
	group=group, units='Counts', /over	


for i=0,n_elements(ints)-1 do xyouts,labxy(0,i),labxy(1,i),strtrim(i+1,2),chars=2

end

;IDL> print,chi   Single temperature                                                               
;      8.25771      2.18744      2.48091      3.55021      3.55763      2.35145
;      3.66180
;SPEX> idl,print,chi  Two temperatures
;Command: idl                                                                    
;IDL> print,chi                                                                  
;      6.24955      1.88047      1.86931      2.56113      2.28416      2.19305
;      3.69737
;
