;+
; PROJECT:
;	SPEX
; NAME:
;
;
; PURPOSE:
;	This is a hacked wrapper to spex_spec_plot to support spectrum plotting without
;	the subtitles, titles, or timestamp.
;
; CATEGORY:
;
;
; CALLING SEQUENCE:
;
;
; CALLS:
;	none
;
; INPUTS:
;       none explicit, only through commons;
;
; OPTIONAL INPUTS:
;	none
;
; OUTPUTS:
;       none explicit, only through commons;
;
; OPTIONAL OUTPUTS:
;	none
;
; KEYWORDS:
;	none
; COMMON BLOCKS:
;	none
;
; SIDE EFFECTS:
;	none
;
; RESTRICTIONS:
;	none
;
; PROCEDURE:
;	none
;
; MODIFICATION HISTORY:
;	Version 1, richard.schwartz@gsfc.nasa.gov
;	27-jun-02
;
;-

pro spex_customplot, ix

@spex_commons

spex_spec_plot, edges=edges, drm=drm, delta_light=delta_light, e_in=e_in, apar=apar,$
        group=iegroup, cflux=obsi(*,ix), ecflux=eobsi(*,ix),  bflux=backi(*,ix), eplot=eplots, $
        ebflux=ebacki(*,ix), trange = xselect(*,ix), interval=ix, uncert=uncert_vec,  $
        set=set, units=y_spectitle, xtype=sp_xtype, ytype=sp_ytype, $
        wuse=wuse, yrange = spyrange, sigmaa=apar_sigma(*,ix), chisqr=chisqr, more_info=more_info, $
        xrange =spxrange, title='', subtitle='',/notimestamp
        wsetshow, /noshow

end