SSWDB_SPEX

BATSE_files = [ 	batse_cont_edges.dat_new ,  $
		batse_cont_edges.dat,  $
  		scoeff.dat, $               
		fcoeff.dat   , $            
		sled.dat , $
		batse_slld.dat , $
		discsp_cal.dat  , $          
		lad_gain.dat , $             
		lad_drm.sav, $
		spec_drm.sav   , $          
		spec_gain.dat ]

Model_functions= [	hesi2_ramaty.dat,        $
		nuclear_template.dat , $     
		nuclear_template.sav] 
    		
General=[		spex_help.txt,$
		help_spex.txt , $          
		spex_steps.txt, $
		spex_comments.txt ]		
Yohkoh=[		sxs_response.dat]

BATSE_DATA
FLARE_CAT          burst_trigger.lst

burst_flare.pro:       
 checkvar, filename, (concat_dir(chklog('BATSE_DATA'),'burst_trigger.lst'))(0)
rd_hxt_drm.pro:hx_data=findfile(concat_dir(chklog('$DIR_HXT_CAL'),'possi4.dat'), count=ncount)
restore,concat_dir( (chklog('BATSE_DATA'))(0),'FLARE_CAT')
infil=concat_dir(chklog('$DIR_WBS_CAL'),rsp_fils(ifil))
batse_cont'
        'ISAS': begin
           ;ISAS
           checkvar, bdata, '/usr6/com/schwartz'
           checkvar, dir_queue, ['?????',['/usr5/com/schwartz/db_', $
                '/usr6/com/schwartz/db_' ] +'?????'+'/']
        end
        'SDAC_UMBRA': begin
           checkvar, bdata, '/usr6/com/schwartz'
            data=chklog('$SCHWARTZ_HOME')
           checkvar, dir_queue, ['?????',concat_dir(data,'data/spex_data/db_?????/')]

        end
        else:   begin
           ;SDAC
           checkvar, bdata, 'user_disk0:[richard.batse.drm]'
           checkvar, dir_queue, ['%%%%%',$
           [ 'udata0:[data.batse.db_', 'smm_data0:[data.batse.db_'] +'%%%%%'+']', 'batse_cont']
        end
        endcase


;+
; NAME: spex_env
;	
; PURPOSE: install the SPEX environmentals and path at ISAS
;	Two software directories needed are installed at the top of the path.	
; CALLING SEQUENCE:
;	spex_env [,old_path=old_path]
;
; MODIFICATION HISTORY:
;	ras, 21-apr-94	
;-
;
pro spex_env
; support the installation of SPEX
setenv,'SCHWARTZ_HOME=/3p/schwartz'
setenv,'SSWDB_SPEX=/usr5/com/schwartz/SSWDB_SPEX'
setenv,'SPEX_SITE=ISAS'
setenv,'BATSE_DATA=$SCHWARTZ_HOME/batse_data'
setenv,'batse_data=$SCHWARTZ_HOME/batse_data'
setenv,'batse_flare_catalog=$BATSE_DATA/batse_flare_catalog'

;Modify the software path
old_path = !path
path = (chklog('SCHWARTZ_HOME'))(0)
!path = concat_dir(path,'soft')+':'+concat_dir(path,'soft/spex')+':'+!path

end
