;+
; Name: spex_soxs__define
;
; Purpose: Provide methods to deal with the soxs data when downloading,etc. for OSPEX.
;   
; Written: Kim Tolbert, June 2010
;-

function spex_soxs::init
return,1
end

;-----

function spex_soxs::search, time_range, count=count, _ref_extra=extra

spex_find_data, 'soxs', time_range, url=url, count=count, _extra=extra

if count eq 0 then return, ''

return, url
end

;-----

pro spex_soxs__define
void = {spex_soxs, inherits spex_instr}
end